Bug 1278358 - Should add --type=hypervisor when register RHEVH to RHN
Summary: Should add --type=hypervisor when register RHEVH to RHN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.5.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-3.6.1
: 3.6.1
Assignee: Fabian Deutsch
QA Contact: wanghui
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-05 10:31 UTC by wanghui
Modified: 2016-03-09 14:42 UTC (History)
13 users (show)

Fixed In Version: ovirt-node-3.6.0-0.22.20151126git72acbb2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 14:42:32 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0378 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for RHEV 3.6 2016-03-09 19:06:36 UTC
oVirt gerrit 48150 master MERGED Register to RHSM as a hypervisor so it knows Never
oVirt gerrit 49026 ovirt-3.6 MERGED Register to RHSM as a hypervisor so it knows Never

Comment 1 Red Hat Bugzilla Rules Engine 2015-11-05 10:38:33 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Ryan Barry 2015-11-05 14:45:31 UTC
I would also suggest that a bug be opened against the RHSM portal, since RHEV-H has its own product key (there was an earlier bug about this), and RHSM should be able to figure this out on its own based on that.

Comment 10 wanghui 2015-12-07 05:53:57 UTC
Test version:
rhev-hypervisor7-7.2-20151201.2.el7ev
ovirt-node-3.6.0-0.23.20151201git5eed7af.el7ev.noarch

Test steps:
1. Install rhev-hypervisor7-7.2-20151201.2.el7ev
2. Enable network
3. Register to RHN
4. Check in RHN
5. Check the log file

Test result:
1. After step4, we can find registered rhevh in hypervisor type.
2. The output in log file about the registration is as follows.
2015-12-07 05:31:51,667       INFO /usr/sbin/subscription-manager register --force --type hypervisor --password XXXXXXXX --username qa@redhat.com

So this issue is fixed in ovirt-node-3.6.0-0.23.20151201git5eed7af.el7ev.noarch. Change the status to verified.

Comment 12 errata-xmlrpc 2016-03-09 14:42:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0378.html


Note You need to log in before you can comment on or make changes to this bug.